Table of Contents

## Name

DMXQueryExtension - determine if DMX is available

## Synopsis

#include <X11/extensions/dmxext.h>

    Bool DMXQueryExtension(Display *dpy,
                           int *event_basep,
                           int *error_basep);

## Description

DMXQueryExtension() determines if the DMX protocol extension is available. It will be available if the server is an Xdmx(1) server.

## Return Value

If the DMX protocol extension is available, event_basep and error_basep will be set to the event and error bases, respectively, and True will be returned. Otherwise, False will be returned.

## See Also

DMXQueryVersion(3X) , DMX(3X) , Xdmx(1)

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also